    Plot the cumulative density function of an array of values.

plot_cdf(points, name='x', xlabel='x', replot=False, overplot=False, clearwindow=True, **kwargs)
points - array
name - str, optional
xlabel - str, optional
replot - bool, optional
overplot - bool, optional
clearwindow - bool, optional

Create and plot the cumulative density function (CDF) of the input array. Median and upper- and lower- quartiles are marked on the plot.

>>> mu, sigma, n = 100, 15, 500 >>> x = np.random.normal(loc=mu, scale=sigma, size=n) >>> plot_cdf(x)
>>> plot_cdf(x, xlabel="x pos", name="Simulations")

PARAMETERS

The parameters for this function are:

Parameter
Definition
points
The values used to create the cumulative density function.
name
The label to use as part of the plot title.
xlabel
The label for the X and part of the Y axes.
replot
Set to True to use the values calculated by the last call to `plot_cdf` . The default is False .
overplot
If True then add the data to an existing plot, otherwise create a new plot. The default is False .
clearwindow
Should the existing plot area be cleared before creating this new plot (e.g. for multi-panel plots)?

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023